CourseLit logoCourseLit Docs
Api reference

List products

GET
/api/products

Authorization

ApiKeyAuth
x-api-key<token>

API key created in CourseLit dashboard settings. The legacy apikey request-body field is still accepted but deprecated.

In: header

Query Parameters

type?string
Value in"course" | "download" | "blog"
published?boolean
search?string
tags?array<string>

Filter products matching any of the supplied tags. Pass as tags=ai,beginner.

page?integer
Default1
Range1 <= value
limit?integer
Default50
Range1 <= value <= 200

Response Body

application/json

application/json

curl -X GET "https://school.courselit.app/api/products"
{
  "data": [
    {
      "productId": "string",
      "type": "course",
      "title": "string",
      "slug": "string",
      "description": "string",
      "published": true,
      "privacy": "string",
      "tags": [
        "string"
      ],
      "featuredImage": {},
      "pageId": "string",
      "defaultPaymentPlan": "string",
      "paymentPlans": [
        {
          "planId": "string",
          "name": "string",
          "type": "free",
          "entityId": "string",
          "entityType": "string",
          "oneTimeAmount": 0,
          "emiAmount": 0,
          "emiTotalInstallments": 0,
          "subscriptionMonthlyAmount": 0,
          "subscriptionYearlyAmount": 0,
          "description": "string",
          "isDefault": true
        }
      ],
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "page": 0,
    "limit": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}